package com.hfkj.service.meal;

import com.hfkj.entity.BsMealTableOrderProduct;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMealTableOrderProductService
 * @author: HuRui
 * @date: 2023/12/5
 **/
public interface BsMealTableOrderProductService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsMealTableOrderProduct data);

    /**
     * 查询订单产品列表
     * @param param
     * @return
     */
    List<BsMealTableOrderProduct> getOrderProductList(Map<String,Object> param);

    /**
     * 查询产品
     * @param orderNo
     * @param productId
     */
    BsMealTableOrderProduct getOrderProduct(String orderNo,Long productId);

}
